加载中...

安装ThinkPHP


来源:ThinkPHP5.0完全开发手册

ThinkPHP5的环境要求如下:

  • PHP >= 5.4.0
  • PDO PHP Extension
  • MBstring PHP Extension
  • CURL PHP Extension

严格来说,ThinkPHP无需安装过程,这里所说的安装其实就是把ThinkPHP框架放入WEB运行环境(前提是你的WEB运行环境已经OK),可以通过下面几种方式获取和安装ThinkPHP。

一、官网下载安装

获取ThinkPHP的方式很多,官方网站(http://thinkphp.cn)提供了稳定版本或者带扩展完整版本的下载。

官网的下载版本不一定是最新版本,GIT版本获取的才是保持更新的版本。

二、Composer安装

ThinkPHP5支持使用Composer安装,如果还没有安装 Composer,你可以按 Composer安装 中的方法安装。在 LinuxMac OS X 中可以运行如下命令:

curl -sS https://getcomposer.org/installer | php
mv composer.phar /usr/local/bin/composer

在 Windows 中,你需要下载并运行 Composer-Setup.exe

如果遇到任何问题或者想更深入地学习 Composer,请参考 Composer 文档(英文)Composer 中文

如果你已经安装有 Composer 请确保使用的是最新版本,你可以用 composer self-update 命令更新 Composer 为最新版本。

然后在命令行下面,切换到你的web根目录下面并执行下面的命令:

composer create-project topthink/think tp5  --prefer-dist

如果出现错误提示,请根据提示操作或者参考Composer中文文档

如果国内访问composer的速度比较慢,可以参考这里的说明使用国内镜像

三、Git安装

如果你不太了解Composer或者觉得Composer太慢,也可以使用git版本库安装和更新,ThinkPHP5.0拆分为多个仓库,主要包括:

  • 应用项目:https://github.com/top-think/think
  • 核心框架:https://github.com/top-think/framework

如果你访问github速度比较慢,可以考虑下面两个国内GIT仓库:

[ 码云 ]

  • 应用项目:https://git.oschina.net/liu21st/thinkphp5.git
  • 核心框架:https://git.oschina.net/liu21st/framework.git

[ Coding ]

  • 应用项目:https://git.coding.net/liu21st/thinkphp5.git
  • 核心框架:https://git.coding.net/liu21st/framework.git

之所以设计为应用和核心仓库分离,是为了支持Composer单独更新核心框架。

首先克隆下载应用项目仓库

git clone https://github.com/top-think/think tp5

然后切换到tp5目录下面,再克隆核心框架仓库:

git clone https://github.com/top-think/framework thinkphp

两个仓库克隆完成后,就完成了ThinkPHP5.0Git方式下载,如果需要更新核心框架的时候,只需要切换到thinkphp核心目录下面,然后执行:

git pull https://github.com/top-think/framework

如果不熟悉git命令行,可以使用任何一个GIT客户端进行操作,在此不再详细说明。

无论你采用什么方式获取的ThinkPHP框架,现在只需要做最后一步来验证是否正常运行。

在浏览器中输入地址:

http://localhost/tp5/public/

如果浏览器输出如图所示:

恭喜你,现在已经完成ThinkPHP5的安装!

如果你无法正常运行并显示ThinkPHP的欢迎页面,那么请检查下你的服务器环境:

  • PHP5.4以上版本(注意:PHP5.4dev版本和PHP6均不支持
  • WEB服务器是否正常启动


第 1-1 条, 共 1 条.
wangyanfei 2017-02-22 17:01:25
好,作者辛苦了回复